import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { TypographyHeadingJumboLevel } from './typography-heading-jumbo-level.enum';
import readme from './readme.md';

<Meta title="Typography/digi-typography-heading-jumbo" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard jumbo heading. It defaults to `h1`. If you want to change the heading level, 
you can use af-level and pass the one you want as a property. Typescript users should import and use TypographyHeadingJumboLevel. 
The styling of the jumbo heading will look the same even if you change to a different heading level.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-typography-heading-jumbo af-text="I am a jumbo heading"></digi-typography-heading-jumbo>
    `}
  </Story>
</Canvas>
